﻿using System;
namespace ImageLab.Filter
{
    interface IHistogram
    {
        void Add(Histogram input);
        void Add(byte input);
        void Add(byte input, int number);
        void Clear();
        byte Median { get; }
        void Remove(Histogram input);
        void Remove(byte input);
        void Remove(byte input, int number);
        int Samples { get; }
        int[] Frequency { get; }
    }
}
