﻿using System.Windows.Media;
using System.Windows.Media.Imaging;
using Microsoft.ParallelArrays;
using System;
using System.Runtime.InteropServices;

namespace ImageLab.Filter
{
    public struct ImageData
    {
        public int Width;
        public int Height;
        public PixelFormat PixelFormat;
        public byte[] Bytes;

        public ImageData(byte[] Bytes, int Width, int Height, PixelFormat PixelFormat)
        {
            this.Bytes = Bytes;
            this.Width = Width;
            this.Height = Height;
            this.PixelFormat = PixelFormat;
        }
    }
}
